PDEPEND(1)

NAME
pdepend - PHP_Depend command line interface

SYNOPSIS
pdepend [options] [logger] <dir[,dir[,...]]>

DESCRIPTION
PDepend 2.10.2

--dependency-xml=<file>
    Generates a xml log with all dependencies.

--jdepend-chart=<file>
    Generates a diagram of the analyzed packages.

--jdepend-xml=<file>
    Generates the package dependency log.

--overview-pyramid=<file> Generates a chart with an Overview Pyramid for the
    analyzed project.

--summary-xml=<file>
    Generates a xml log with all metrics.

--coderank-mode=<*[,...]> Used CodeRank strategies. Comma separated list of
    'inheritance'(default), 'property' and 'method'.

--coverage-report=<file>
    Clover style CodeCoverage report, as produced by PHPUnit's --coverage-clover option.

--configuration=<file>
    Optional PDepend configuration file.

--suffix=<ext[,...]>
    List of valid PHP file extensions.

--ignore=<dir[,...]>
    List of exclude directories.

--exclude=<pkg[,...]>
    List of exclude namespaces.

--without-annotations
    Do not parse doc comment annotations.

--quiet
    Prints errors only.

--debug
    Prints debugging information.

--help
    Print this help text.

--version
    Print the current version.

-d key[=value]
    Sets a php.ini value.